petsc-3.10.5 2019-03-28
Report Typos and Errors

# VecScatterFinalizeForGPU

Finalizes a generalized scatter from one vector to another for GPU based computation.

### Synopsis

    #include "petscvec.h"
    PETSC_EXTERN PetscErrorCode VecScatterFinalizeForGPU(VecScatter inctx)

### Input Parameter

| inctx | - scatter context generated by VecScatterCreate()

### Notes

Effectively, this function resets the temporary buffer flags. Currently, this only used in the context of the parallel SpMV call in in MatMult_MPIAIJCUDA or MatMult_MPIAIJCUDAARSE. Once the MatMultAdd is finished, the GPU temporary buffers used for messaging are no longer valid.

### See Also

VecScatterInitializeForGPU(), VecScatterCreate(), VecScatterEnd()

### Level

intermediate

### Location

src/vec/vscat/interface/vscatfce.c
Index of all Vec routines
Table of Contents for all manual pages
Index of all manual pages